<!--{{applicationId}}
-->
<!--{{instanceDetailsArrayFromApi}}-->
<div class="moreBtm installedAppsDetails">
    <!--..... sub header ......-->
    <div class="subHeader">
        <div class="leftCont floatLeft">
            <div class="appName small">
                <a href="#/necApp/appsMain/installedApps" class="backBtn midBlock marginRgt">
                    <img src="images/right_arrow_blue.png" alt="">
                </a>
                <div class="symbol midBlock">{{applicationId.charAt(0)| uppercase}}</div>
                <div class="name midBlock normal marginLeftSml roboLight">{{applicationId}}</div>
            </div>
        </div>
        <div class="rightCont floatRight">

            <div class="btn small addInstanceBtn midBlock" ng-click="getAllAppNames();emptyfromObject()"
                 ng-if="resultantinstanceDetails.length>0">NEW INSTANCE
            </div>
            <div class="needHelpBtn small midBlock marginLeft" data-init="0">NEED HELP</div>
        </div>
        <span class="clear"></span>
    </div>

    <div class="content">
        <div class="detailsApp mainNormal roboLight" ng-if="instanceDetailsArrayFromApi.length>0">
            <div class="paddingFull mainNormal roboLight">INSTANCES</div>
            <div class="dataTable devicesList marginBtmSml">
                <div class="dataRow header">
                    <ul class="rowCont">
                        <li class="name">
                           <!-- <div class="checkbox midBlock">
                                <input type="checkbox">
                                <div class="box"></div>
                            </div>-->
                            <div class="midBlock marginLeftSml">Name</div>
                        </li>
                        <li class="status">Status</li>
                        <li class="server">Server</li>
                        <li class="time">Created Date</li>
                        <li class="time">Status Changed Date</li>
                    </ul>
                </div>

                <div class="dataRow" ng-repeat="instance in instanceDetailsArrayFromApi">
                    <!--  <a href="#/necApp/sensorMain/sensorDetails">-->
                    <ul class="rowCont">
                        <li class="name">
                            <!--<div class="checkbox midBlock">
                                <input type="checkbox">
                                <div class="box"></div>
                            </div>-->
                            <div class="midBlock marginLeftSml">
                                {{instance.parameters.instanceName}}
                            </div>
                        </li>
                        <li class="status active">
                            <div   class="on" ng-if="(appConfigDetials.appConstant.constants.instance.START_STATE_ARRAY).indexOf(instance.status.status)>=0">{{instance.status.status}}</div>
                            <div   class="off" ng-if="(appConfigDetials.appConstant.constants.instance.STOP_STATE_ARRAY).indexOf(instance.status.status)>=0">{{instance.status.status}}</div>
                            <div  class="intermediate" ng-if="(appConfigDetials.appConstant.constants.instance.STOP_STATE_ARRAY).indexOf(instance.status.status)===-1 && (appConfigDetials.appConstant.constants.instance.START_STATE_ARRAY).indexOf(instance.status.status)===-1">{{instance.status.status}}</div>
                            <!--<div  ng-if="instance.status.state===appConfigDetials.appConstant.constants.instance.INSTANCE_INCIAL_STATE" class="on">{{instance.status.state}}</div>
                            <div ng-if="instance.status.state===appConfigDetials.appConstant.constants.instance.INSTANCE_START_STATE" class="on">{{instance.status.state}}</div>
                            <div ng-if="instance.status.state===appConfigDetials.appConstant.constants.instance.INSTANCE_STOP_STATE"class="off">{{instance.status.state}}</div>-->
                        </li>
                        <li class="server">{{instance.parameters.nodes[0]}}</li>
                       <!-- {-->
                        <li class="time">{{instance.creationTimestamp| date:'dd-MMM-yyyy HH:mm'}}</li>
                       <!-- <li class="time">{{instance.statusChangeTime | date:'dd-MMM-yyyy HH:mm'}}</li>-->
                        <li class="time">{{instance.statusUpdateTimestamp| date:'dd-MMM-yyyy HH:mm'}}</li>
                    </ul>
                    <!--</a>-->
                </div>
            </div>

        </div>
        <div class="error small paddingLR rightTxt" ng-if="instanceDetailsArrayFromApi.length>0">
            <div>App cannot be uninstalled please delete the instance to uninstall</div>
        </div>


        <div class="uninstallApp paddingFull" ng-if="instanceDetailsArrayFromApi.length===0">
            <div class="privacyBtn uninstallAppBtn floatRight">
                <img src="images/lock.png" alt="" class="midBlock privacyIcon">
                <div class="txt midBlock" ng-click="emptyErrorScope()">Uninstall</div>
            </div>

            <span class="clear"></span>
        </div>







        <div class="noInstanceSec" ng-if="resultantinstanceDetails.length<=0">
            <div class="btn small addInstanceBtn midBlock" ng-click="getAllAppNames()">NEW INSTANCE</div>
            <div class="subNormal marginTopSml roboLight">You need to add instance to view the app. The instance bind the app with the database and the sensor.</div>
        </div>

        <!--....... mark down section ........-->
        <div class="markdownContentSec borderTop paddingFull" markdown-to-html="appDocumentationDetails"></div>

        <!--<div class="accordionMain borderTop">-->
            <!--<div class="accordionSec">-->
                <!--<div class="accordionHead" data-init="0">-->
                    <!--<div class="name">Application</div>-->
                    <!--<div class="expandBtn">+</div>-->
                    <!--<span class="clear"></span>-->
                <!--</div>-->
                <!--<div class="accordionContent">-->
                    <!--<div class="">-->
                        <!--<div class="desc">-->
                            <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                            <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                        <!--<div class="desc">-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                    <!--</div>-->

                    <!--<div class="accordionSec marginTopSml">-->
                        <!--<div class="accordionHead" data-init="0">-->
                            <!--<div class="name">Description</div>-->
                            <!--<div class="expandBtn">+</div>-->
                            <!--<span class="clear"></span>-->
                        <!--</div>-->
                        <!--<div class="accordionContent">-->
                            <!--<div class="desc">-->
                                <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                                <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                            <!--<div class="desc">-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->

                    <!--<div class="accordionSec">-->
                        <!--<div class="accordionHead" data-init="0">-->
                            <!--<div class="name">Sensor choice (Camera etc)</div>-->
                            <!--<div class="expandBtn">+</div>-->
                            <!--<span class="clear"></span>-->
                        <!--</div>-->
                        <!--<div class="accordionContent">-->
                            <!--<div class="desc">-->
                                <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                                <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                            <!--<div class="desc">-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->

                    <!--<div class="accordionSec">-->
                        <!--<div class="accordionHead" data-init="0">-->
                            <!--<div class="name">Possible outputs/streams</div>-->
                            <!--<div class="expandBtn">+</div>-->
                            <!--<span class="clear"></span>-->
                        <!--</div>-->
                        <!--<div class="accordionContent">-->
                            <!--<div class="desc">-->
                                <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                                <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                            <!--<div class="desc">-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->

                <!--</div>-->
            <!--</div>-->

            <!--<div class="accordionSec">-->
                <!--<div class="accordionHead" data-init="0">-->
                    <!--<div class="name">Installation</div>-->
                    <!--<div class="expandBtn">+</div>-->
                    <!--<span class="clear"></span>-->
                <!--</div>-->
                <!--<div class="accordionContent">-->
                    <!--<div class="">-->
                        <!--<div class="desc">-->
                            <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                            <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                        <!--<div class="desc">-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                    <!--</div>-->

                    <!--<div class="accordionSec marginTopSml">-->
                        <!--<div class="accordionHead" data-init="0">-->
                            <!--<div class="name">Description</div>-->
                            <!--<div class="expandBtn">+</div>-->
                            <!--<span class="clear"></span>-->
                        <!--</div>-->
                        <!--<div class="accordionContent">-->
                            <!--<div class="desc">-->
                                <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                                <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                            <!--<div class="desc">-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->

                <!--</div>-->
            <!--</div>-->

            <!--<div class="accordionSec">-->
                <!--<div class="accordionHead" data-init="0">-->
                    <!--<div class="name">Input source</div>-->
                    <!--<div class="expandBtn">+</div>-->
                    <!--<span class="clear"></span>-->
                <!--</div>-->
                <!--<div class="accordionContent">-->
                    <!--<div class="">-->
                        <!--<div class="desc">-->
                            <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                            <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                        <!--<div class="desc">-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                    <!--</div>-->

                    <!--<div class="accordionSec marginTopSml">-->
                        <!--<div class="accordionHead" data-init="0">-->
                            <!--<div class="name">Description</div>-->
                            <!--<div class="expandBtn">+</div>-->
                            <!--<span class="clear"></span>-->
                        <!--</div>-->
                        <!--<div class="accordionContent">-->
                            <!--<div class="desc">-->
                                <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                                <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                            <!--<div class="desc">-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->

                <!--</div>-->
            <!--</div>-->

            <!--<div class="accordionSec">-->
                <!--<div class="accordionHead" data-init="0">-->
                    <!--<div class="name">Output formats</div>-->
                    <!--<div class="expandBtn">+</div>-->
                    <!--<span class="clear"></span>-->
                <!--</div>-->
                <!--<div class="accordionContent">-->
                    <!--<div class="">-->
                        <!--<div class="desc">-->
                            <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                            <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                        <!--<div class="desc">-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                    <!--</div>-->

                    <!--<div class="accordionSec marginTopSml">-->
                        <!--<div class="accordionHead" data-init="0">-->
                            <!--<div class="name">Description</div>-->
                            <!--<div class="expandBtn">+</div>-->
                            <!--<span class="clear"></span>-->
                        <!--</div>-->
                        <!--<div class="accordionContent">-->
                            <!--<div class="desc">-->
                                <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                                <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                            <!--<div class="desc">-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->

                <!--</div>-->
            <!--</div>-->

            <!--<div class="accordionSec">-->
                <!--<div class="accordionHead" data-init="0">-->
                    <!--<div class="name">Graphics</div>-->
                    <!--<div class="expandBtn">+</div>-->
                    <!--<span class="clear"></span>-->
                <!--</div>-->
                <!--<div class="accordionContent">-->
                    <!--<div class="">-->
                        <!--<div class="desc">-->
                            <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                            <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                        <!--<div class="desc">-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                    <!--</div>-->

                    <!--<div class="accordionSec marginTopSml">-->
                        <!--<div class="accordionHead" data-init="0">-->
                            <!--<div class="name">Description</div>-->
                            <!--<div class="expandBtn">+</div>-->
                            <!--<span class="clear"></span>-->
                        <!--</div>-->
                        <!--<div class="accordionContent">-->
                            <!--<div class="desc">-->
                                <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                                <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                            <!--<div class="desc">-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->

                <!--</div>-->
            <!--</div>-->

            <!--<div class="accordionSec">-->
                <!--<div class="accordionHead" data-init="0">-->
                    <!--<div class="name">Settings</div>-->
                    <!--<div class="expandBtn">+</div>-->
                    <!--<span class="clear"></span>-->
                <!--</div>-->
                <!--<div class="accordionContent">-->
                    <!--<div class="">-->
                        <!--<div class="desc">-->
                            <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                            <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                        <!--<div class="desc">-->
                            <!--or change the model to be an object and then bind to a property of that object.-->
                            <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                        <!--</div>-->
                    <!--</div>-->

                    <!--<div class="accordionSec marginTopSml">-->
                        <!--<div class="accordionHead" data-init="0">-->
                            <!--<div class="name">Description</div>-->
                            <!--<div class="expandBtn">+</div>-->
                            <!--<span class="clear"></span>-->
                        <!--</div>-->
                        <!--<div class="accordionContent">-->
                            <!--<div class="desc">-->
                                <!--The ng-switch scope inheritance works just like ng-include. So if you-->
                                <!--need 2-way data binding to a primitive in the parent scope, use $parent,-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                            <!--<div class="desc">-->
                                <!--or change the model to be an object and then bind to a property of that object.-->
                                <!--This will avoid child scope hiding/shadowing of parent scope properties.-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->

                <!--</div>-->
            <!--</div>-->
        <!--</div>-->
    </div>

</div>


<!--....... Add instances popup ......-->
<div class="popup absolute addComponent addInstance">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="otherDetails marginBtm">
            <form name="instance" novalidate>
                <div class="inputBox marginBtm">
                    <div class="tag marginBtmSml">
                        Instance Name <span class="smallTitle midBlock off">*</span>
                        <!--<span class="error marginLeftSml subNormal"-->
                              <!--ng-show="instance.instanceName.$pristine || instance.instanceName.$dirty && instance.instanceName.$invalid">Please enter the instance name.</span>-->
                    </div>
                    <input type="text" name="instanceName" placeholder="Instance Name"
                           ng-model="instanceObjDetails.userInstanceName" required>
                </div>


                <ul class="form marginBtm">
                    <li>
                        <div class="tag">
                            Apps <span class="smallTitle midBlock off">*</span><!--{{appInstanceSelected.length}}-->
                            <!--<span class="error marginLeftSml subNormal" ng-show="instance.instanceApps.$untouched">Please select the app. </span>-->
                        </div>
                        <div class="dropDown instancesSelected">
                            <div data-init="0" class="head">
                                <input type="text" name="instanceApps" class="headTitle" placeholder="Please select"
                                       ng-model="appInstanceSelected" readonly>
                                <!--<div class="headTitle">Please select</div>-->
                                <img class="sign" alt="" src="images/arrow_down_white.png">
                            </div>
                            <ul class="list">
                                <li ng-repeat="app in appDropDownName"
                                    ng-click="getAppConfigurationByAppNameForCreatingAInstance(app.id)">{{app.id}}
                                </li>
                            </ul>
                        </div>
                    </li>
                </ul>
                <!--{{instanceObjDetails.instanceObj}}-->
                <div class="addConfig">
                    <div class="borderBtm paddingBtmSml marginBtm">Instance Configuration</div>
                    <ul class="tabs roboLight subNormal borderBtm marginBtm" ng-init="tabsType='raw'">
                    <li ng-click="tabsType='raw'" ng-class="{active: tabsType=='raw'}">Raw Data</li>
                    <li ng-click="tabsType='form'" ng-class="{active: tabsType=='form'}">Form Data</li>
                    </ul>

                    <div class="tabContentMain">
                        <!--...... raw Data .......-->
                        <div class="tabContent" ng-show="tabsType=='raw'">
                            <ul class="form">
                                <li>
                                    <div class="tag">Please enter raw configuration</div>
                                    <textarea placeholder="Raw Configuration" class="big"
                                              ng-model="instanceObj">

                                    </textarea>
                                </li>
                            </ul>
                        </div>
                        <!--....... form data .......-->
                        <div class="tabContent formData roboLight"  ng-show="tabsType=='form'">
                            <json-form desc-data="configData" sample-data="sampleData"></json-form>
                        </div>


                    </div>
                </div>
            </form>
        </div>

        <div class="btnsMain">
            <button class="btn midBlock marginRgt normal" ng-click="addInstance(instanceObjDetails,instanceObj)"
                    ng-disabled="instance.$invalid || instance.instanceApps.$untouched">Add
            </button>
            <div class="btn midBlock close">Cancel</div>
        </div>
    </div>

    <!--... popup loader ....-->
    <circular-loader ng-if="appConfigDetials.showSaveInstanceLoader"></circular-loader>

</div>


<!--....... Uninstall App popup ......-->
<div class="popup confirmMsg uninstallApp">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="msg smallTitle roboLight marginBtmSec">
            Are you sure <br>
            you want to uninstall this app?
        </div>
        <div class="marginTopSml  error roboLight subNormal">
            {{appUnInstallErrorMessage}}
        </div>
        <!--{{appDetailsById}}-->
        <div class="btnsMain">
            <div class="btn red midBlock marginRgt" ng-click="unInstallApplication(applicationId)">Uninstall</div>
            <div class="btn midBlock close" ng-click=emptyErroScope()>Cancel</div>
        </div>
    </div>


    <circular-loader ng-if="appConfigDetials.showDeleteAppLoader"></circular-loader>
</div>

<!--page loader-->
<hr-loader class="overlayFix" ng-if="appConfigDetials.showAppInstanceLoader"></hr-loader>

<!--.... uninstall app popup message....-->
<div class="messagePopup appUnsInstalled roboLight midTitle ">
    App uninstalled successfully.
</div>

<!--....... Add Sensor popup ......-->
<div class="popup addComponent addSensor">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="otherDetails marginBtmSec">
            <div class="inputBox marginBtm">
                <div class="tag marginBtmSml">Name</div>
                <input type="text" placeholder="Sensor Name">
            </div>
            <ul class="form flow marginBtmSec">
                <li>
                    <div class="tag">Camera ID</div>
                    <input type="text" placeholder="ID">
                </li>
                <li>
                    <div class="tag">Server</div>
                    <input type="text" placeholder="Server">
                </li>
                <span class="clear"></span>
            </ul>

            <ul class="form ">
                <li>
                    <div class="tag">Instances</div>
                    <div class="dropDown midBlock personCat">
                        <div class="head" data-init="0">
                            <div class="headTitle">B1,B2</div>
                            <img src="images/arrow_down_white.png" alt="" class="sign">
                        </div>
                        <ul class="list">
                            <li>Option 1</li>
                            <li>Option 2</li>
                            <li>Option 3</li>
                        </ul>
                    </div>
                </li>
                <li>
                    <div class="tag">Apps</div>
                    <div class="dropDown midBlock personCat">
                        <div class="head" data-init="0">
                            <div class="headTitle">App1, App2</div>
                            <img src="images/arrow_down_white.png" alt="" class="sign">
                        </div>
                        <ul class="list">
                            <li>Option 1</li>
                            <li>Option 2</li>
                            <li>Option 3</li>
                        </ul>
                    </div>
                </li>
            </ul>
        </div>

        <div class="btnsMain">
            <div class="btn midBlock marginRgt">Add</div>
            <div class="btn midBlock close">Cancel</div>
        </div>
    </div>
</div>

